package com.psg.dlsysinfo.dl_sysinfo_server.config;

import org.springframework.boot.context.properties.ConfigurationProperties;

@ConfigurationProperties(prefix = "hcaptcha")
public class CaptchaConfig {
    private boolean enabled;
    private String sitekey;
    private String secret; // This will not be serialized

    public boolean isEnabled() {
        return enabled;
    }

    public void setEnabled(boolean enabled) {
        this.enabled = enabled;
    }

    public String getSitekey() {
        return sitekey;
    }

    public void setSitekey(String sitekey) {
        this.sitekey = sitekey;
    }

    public String getSecret() {
        return secret;
    }

    public void setSecret(String secret) {
        this.secret = secret;
    }
}
